Bug 512623 - Editing .tex files doesn't get LaTeX mode
Summary: Editing .tex files doesn't get LaTeX mode
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xemacs
Version: rawhide
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-19 23:05 UTC by Horst H. von Brand
Modified: 2009-11-11 15:00 UTC (History)
2 users (show)

Fixed In Version: 21.5.29-6.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-11 15:00:54 UTC


Attachments (Terms of Use)
Contents of the *Warnings* buffer when starting emacs on a (non-existent) LaTeX file (8.78 KB, text/plain)
2009-07-19 23:05 UTC, Horst H. von Brand
no flags Details
Backtrace buffer in xemacs-21.5.29-3.fc12.x86_64 (7.13 KB, text/plain)
2009-08-26 02:51 UTC, Horst H. von Brand
no flags Details
Contents of the *Warnings* buffer for a .tex file (7.31 KB, text/plain)
2009-10-06 18:27 UTC, Habig, Alec
no flags Details

Description Horst H. von Brand 2009-07-19 23:05:52 UTC
Created attachment 354292 [details]
Contents of the *Warnings* buffer when starting emacs on a (non-existent) LaTeX file

Description of problem:
Getting a .tex file gives a buffer full of warnings and Fundamental mode.

Version-Release number of selected component (if applicable):
xemacs-common-21.5.29-1.fc12.x86_64
xemacs-info-21.5.29-1.fc12.noarch
xemacs-packages-base-20090217-1.fc11.noarch
xemacs-packages-extra-20090217-1.fc11.noarch
xemacs-packages-extra-info-20090217-1.fc11.noarch

How reproducible:
Each time a LaTeX file is loaded

Steps to Reproduce:
1. xemacs -vanilla something-or-other.tex
2.
3.
  
Actual results:
Fundamental mode, buffer full of warnings (attached)

Expected results:
LaTeX mode

Additional info:

Comment 1 Jerry James 2009-07-28 17:57:45 UTC
Works for me: xemacs -vanilla something-or-other.tex gives me an empty buffer in LaTeX mode.

The Fedora XEmacs is built without xft support, so I don't see how the last couple of frames in the backtrace you attached could be possible.  Indeed, if I evaluate this in *scratch*:

(x-font-create-object "*" (default-x-device))

I get this:

[:family nil :weight nil :style 0 :size nil :registry nil :encoding nil]

Are you certain that you are running the Fedora binary?  Did you build an xft-enabled XEmacs binary at some time?

Comment 2 Horst H. von Brand 2009-07-29 14:56:25 UTC
xemacs-21.5.29-1.fc12.x86_64 is what I run here. I haven't built any xemacs binaries for a _very_ long time now.

"rpm -V xemacs" is clean.

/usr/bin/xemacs --> /etc/alternatives/xemacs --> /usr/bin/xemacs-21.5-b29, running the last one by hand directly gives exactly the same result.

And I do get the same mess with a (mostly newly installed) machine (F 11 --> rawhide). That account has just the standard ~/.xemacs

"xemacs --vanilla" gives a "Error: Can't initialize XIM: Can't get fontset resource for Input Method", and the gnome-terminal shows:
Warning: Missing charsets in String to FontSet conversion
Warning: Cannot convert string "-*-helvetica-bold-r-*-*-*-120-*-*-*-*-iso10646-1, 				-*-helvetica-bold-r-*-*-*-120-*-*-*-*-iso8859-*, 				*" to type FontSet
Warning: Missing charsets in String to FontSet conversion
Warning: Unable to load any usable fontset
Warning: Missing charsets in String to FontSet conversion
Warning: Unable to load any usable fontset

For the above expression I get just: "Symbol's function definition is void: 
x-font-create-object"

"strings /usr/bin/xemacs-21.5-b29 | grep xft" gives:
x-font-size-xft
x-find-xft-font-of-size
x-find-smaller-font-xft
x-make-font-bold-italic-xft
xft-fonts
x-find-larger-font-xft
x-make-font-unitalic-xft
x-make-font-unbold-xft
x-make-font-italic-xft
x-make-font-bold-xft

Comment 3 Horst H. von Brand 2009-07-31 20:04:10 UTC
Still here with:

xemacs-21.5.29-2.fc12.x86_64
xemacs-common-21.5.29-2.fc12.x86_64
xemacs-info-21.5.29-2.fc12.noarch
xemacs-packages-base-20090217-2.fc12.noarch 
xemacs-packages-extra-20090217-2.fc12.noarch
xemacs-packages-extra-info-20090217-2.fc12.noarch

Comment 4 Jerry James 2009-08-24 18:49:44 UTC
I can reproduce this now.  I'm looking into it.

Comment 5 Jerry James 2009-08-24 21:59:23 UTC
I believe that I have found and fixed the bug.  After the next Rawhide compose, could you try xemacs-21.5.29-3.fc12 and let me know whether it solves the problem for you?

Comment 6 Horst H. von Brand 2009-08-26 02:51:06 UTC
Created attachment 358662 [details]
Backtrace buffer in xemacs-21.5.29-3.fc12.x86_64

Connected via ssh + screen (have old xemacs here), ran "xemacs /tmp/xyz.tex" (that file doesn't exist), got the backtrace given. Plain "xemacs" opens OK.

Comment 7 Jerry James 2009-08-26 20:42:23 UTC
Thanks for trying it.  Stephen Turnbull thinks he has a fix for this problem.  I'll make a new package shortly with his patch in.  Watch for xemacs-21.5.29-4.fc12 after the next compose and let me know if that works.

Comment 8 Jerry James 2009-08-26 21:14:42 UTC
Stephen's patch led to a build failure.  I'll post to this bug when we've got something that works.  Sorry for the delay.

Comment 9 Fedora Update System 2009-09-24 15:06:06 UTC
xemacs-21.5.29-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xemacs-21.5.29-4.fc11

Comment 10 Jerry James 2009-09-24 15:09:14 UTC
I believe I have finally isolated the correct fix for both bugs.  There is a new build for Rawhide, xemacs-21.5.29-5.fc12, which I believe will work for you.  Let me know if you have any more trouble.

Comment 11 Horst H. von Brand 2009-09-24 19:04:17 UTC
Just tried it here (also had old xemacs-packages-*, updated those). It works! 

Thanks!

[But now the font looks funny... probably just needs adjusting on my side. But particularly, the italic (slanted?) version (in e.g. LaTeX mode what shows as \emph{some stuff here}) is quite a bit too small. OK, let me correct that: The uppercase letters look OK in size, lowercase letters are smaller than the regular ones. Perhaps the exact set of fonts used isn't ideal?]

BTW, starting xemacs still spews:

Warning: Missing charsets in String to FontSet conversion
Warning: Cannot convert string "-*-helvetica-bold-r-*-*-*-120-*-*-*-*-iso10646-1, 				-*-helvetica-bold-r-*-*-*-120-*-*-*-*-iso8859-*, 				*" to type FontSet
Warning: Missing charsets in String to FontSet conversion
Warning: Unable to load any usable fontset
Warning: Missing charsets in String to FontSet conversion
Warning: Unable to load any usable fontset

Comment 12 Horst H. von Brand 2009-09-24 19:06:25 UTC
Almost forgot: Evaling in *scratch* I now get:

(x-font-create-object "*" (default-x-device))
[:family nil :weight nil :style 0 :size nil :registry nil :encoding nil]

Comment 13 Jerry James 2009-09-25 17:10:45 UTC
The funny looking fonts are an unfortunate side effect of using the Lucida bitmap fonts.  I don't know how to fix that. :-(

As for the spewed warnings, please see comment 17 in bz #478370 for an explanation.

Hopefully someday we will get the Xft implementation to a usable state, and then all this legacy font brain damage can just go away.

Comment 14 Fedora Update System 2009-09-25 20:16:48 UTC
xemacs-21.5.29-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xemacs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9964

Comment 15 Fedora Update System 2009-10-03 19:08:12 UTC
xemacs-21.5.29-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Sjoerd Mullender 2009-10-04 10:24:01 UTC
With xemacs-21.5.29-4.fc11.x86_64 I still get:
$ rpm -q xemacs
xemacs-21.5.29-4.fc11.x86_64
$ ll /usr/bin/xemacs
lrwxrwxrwx 1 root root 24 Oct  4 10:47 /usr/bin/xemacs -> /etc/alternatives/xemacs
$ ls -l /etc/alternatives/xemacs
lrwxrwxrwx 1 root root 24 Oct  4 10:47 /etc/alternatives/xemacs -> /usr/bin/xemacs-21.5-b29
$ xemacs -vanilla
Warning: Missing charsets in String to FontSet conversion
Warning: Cannot convert string "-*-helvetica-bold-r-*-*-*-120-*-*-*-*-iso10646-1, 				-*-helvetica-bold-r-*-*-*-120-*-*-*-*-iso8859-*, 				*" to type FontSet
Warning: Missing charsets in String to FontSet conversion
Warning: Unable to load any usable fontset
Warning: Missing charsets in String to FontSet conversion
Warning: Unable to load any usable fontset

Plus I get a message in the *Warnings* buffer saying

(1) (xintl/error) Can't initialize XIM: Can't get fontset resource for Input Method

when I open a text file.

Comment 17 Jerry James 2009-10-05 02:44:22 UTC
That's a different problem.  Please read comment 13.

Comment 18 Habig, Alec 2009-10-06 18:27:14 UTC
Created attachment 363873 [details]
Contents of the *Warnings* buffer for a .tex file

Fixed comment #16's warnings by install terminus-fonts, but the fundamental problem is still here.  When trying to edit a .tex file in console mode or with xemacs -nw, it falls back to Fundamental mode with the following error in the command area:

  Warning: Error in File mode specification: Invalid argument: Must be string, ve\

and the error buffer is attached.

Using the xemacs purported to fix this problem:

xemacs-21.5.29-4.fc11.i586
xemacs-packages-base-20090217-3.fc11.noarch
xemacs-common-21.5.29-4.fc11.i586
xemacs-packages-extra-20090217-2.fc11.noarch

and moved all my own init files out of the way to ensure a default startup.

Comment 19 Jerry James 2009-10-06 18:47:10 UTC
I can reproduce.  That the problem has resurfaced without a new build of xemacs being made points to some kind of font change on Fedora.  I'll try to isolate it.

Comment 20 Horst H. von Brand 2009-10-12 03:55:23 UTC
Here xemacs-21.5.29-5.fc12.x86_64 works fine (no funky fonts, though).

Comment 21 Fedora Update System 2009-10-29 18:11:45 UTC
xemacs-21.5.29-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xemacs-21.5.29-5.fc11

Comment 22 Jerry James 2009-10-29 18:18:27 UTC
I think I have a solution to the problem.  Those of you still suffering from it, please try out one of the new builds.  I have submitted a tag request to get the new build into F-12, and a new build is heading for the F-11 testing repository.

As a side effect, we get the nicer courier font back again on X.

Comment 23 Fedora Update System 2009-11-04 12:39:54 UTC
xemacs-21.5.29-6.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xemacs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11027

Comment 24 Fedora Update System 2009-11-11 15:00:40 UTC
xemacs-21.5.29-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.